Bug 472630 - redhat-lsb doesn't split core and graphics
redhat-lsb doesn't split core and graphics
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
4.7
All Linux
medium Severity high
: rc
: ---
Assigned To: Lawrence Lim
desktop-bugs@redhat.com
:
: 506828 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 23:46 EST by Thayne Harbaugh
Modified: 2014-03-25 20:55 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 506540 835919 (view as bug list)
Environment:
Last Closed: 2012-06-20 09:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thayne Harbaugh 2008-11-21 23:46:28 EST
Description of problem:

redhat-lsb package doesn't split core and graphics.  This means that
scripts that use lsb_release or init.d scripts that use
/lib/lsb/init-functions pull in dependencies for the X Windowing System.


Version-Release number of selected component (if applicable):

All

How reproducible:

Every time
        
Steps to Reproduce:
$> yum install redhat-lsb
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 redhat-lsb              x86_64     3.1-12.3.EL      rhelbase           21 k
 redhat-lsb              i386       3.1-12.3.EL      rhelbase           21 k
Installing for dependencies:
 bc                      x86_64     1.06-21          rhelbase          110 k
 cairo                   x86_64     1.2.4-5.el5      rhelbase          386 k
 cups                    x86_64     1:1.2.4-11.18.el5  rhelbase          2.7 M
 cups-libs               x86_64     1:1.2.4-11.18.el5  rhelbase          176 k
 fontconfig              x86_64     2.4.1-7.el5      rhelbase          175 k
 freetype                x86_64     2.2.1-19.el5     rhelbase          310 k
 gnutls                  x86_64     1.4.1-2          rhelbase          364 k
 libICE                  i386       1.0.1-2.1        rhelbase           53 k
 libICE                  x86_64     1.0.1-2.1        rhelbase           53 k
 libSM                   i386       1.0.1-3.1        rhelbase           27 k
 libSM                   x86_64     1.0.1-3.1        rhelbase           28 k
 libX11                  i386       1.0.3-9.el5      rhelbase          796 k
 libX11                  x86_64     1.0.3-9.el5      rhelbase          796 k
 libXau                  x86_64     1.0.1-3.1        rhelbase           19 k
 libXau                  i386       1.0.1-3.1        rhelbase           18 k
 libXdmcp                x86_64     1.0.1-2.1        rhelbase           19 k
 libXdmcp                i386       1.0.1-2.1        rhelbase           19 k
 libXext                 x86_64     1.0.1-2.1        rhelbase           37 k
 libXext                 i386       1.0.1-2.1        rhelbase           36 k
 libXft                  x86_64     2.1.10-1.1       rhelbase           45 k
 libXi                   i386       1.0.1-3.1        rhelbase           25 k
 libXi                   x86_64     1.0.1-3.1        rhelbase           26 k
 libXrender              x86_64     0.9.1-3.1        rhelbase           28 k
 libXt                   x86_64     1.0.2-3.1.fc6    rhelbase          182 k
 libXt                   i386       1.0.2-3.1.fc6    rhelbase          174 k
 libXxf86vm              i386       1.0.1-3.1        rhelbase           14 k
 libXxf86vm              x86_64     1.0.1-3.1        rhelbase           14 k
 libdrm                  x86_64     2.0.2-1.1        rhelbase           19 k
 libdrm                  i386       2.0.2-1.1        rhelbase           19 k
 libjpeg                 x86_64     6b-37            rhelbase          140 k
 libpng                  x86_64     2:1.2.10-7.1.el5_0.1  rhelbase          235 k
 libtiff                 x86_64     3.8.2-7.el5      rhelbase          319 k
 mesa-libGL              x86_64     6.5.1-7.5.el5    rhelbase          8.7 M
 mesa-libGL              i386       6.5.1-7.5.el5    rhelbase          9.7 M
 pango                   x86_64     1.14.9-3.el5     rhelbase          334 k
 paps                    x86_64     0.6.6-17.el5     rhelbase           32 k
 xorg-x11-filesystem     noarch     7.1-2.fc6        rhelbase          5.5 k

Transaction Summary
=============================================================================
Install     39 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 26 M
Is this ok [y/N]: N
  
Actual results:


Expected results:

Scripts should be able to use lsb-core functionality on systems without the
X Windowing System.

Additional info:

Please see comments here:
http://lists.us.dell.com/pipermail/dkms-devel/2008-September/000762.html
Comment 1 Thayne Harbaugh 2008-11-21 23:51:30 EST
BTW, the current bundling of LSB capabilities means that packages that want to use LSB core for portability now can't use it on any Linux distribution because the package must be usable when the X Windowing System is explicitly uninstalled.  Please consider breaking out the dependencies in a way similar to Debian:

lsb - Linux Standard Base 3.2 support package
lsb-appchk3 - LSB v3.x Application checking tool
lsb-base - Linux Standard Base 3.2 init script functionality
lsb-build-base3 - LSB v3.x Development tools base package
lsb-build-cc3 - LSB v3.x Development environment lsbcc package
lsb-build-desktop3 - LSB v3.x Development tools desktop package
lsb-core - Linux Standard Base 3.2 core support package
lsb-cxx - Linux Standard Base 3.2 C++ support package
lsb-desktop - Linux Standard Base 3.2 Desktop support package
lsb-graphics - Linux Standard Base 3.2 graphics support package
lsb-languages - Linux Standard Base 3.2 Runtime Languages package
lsb-multimedia - Linux Standard Base 3.2 Multimedia package
lsb-pkgchk3 - LSB v3.x package checking tool
lsb-printing - Linux Standard Base 3.2 Printing package
lsb-qt4 - Linux Standard Base 3.2 Qt4 support package
lsb-release - Linux Standard Base version reporting utility
lsb-rpm - Red Hat package manager for LSB package building

This provides fine-grained dependencies for packages that want to pull in distro-specific packages.
Comment 2 Patrice Dumas 2008-12-17 20:27:09 EST
At first
lsb-base
lsb-core
lsb-cxx
lsb-desktop

would be already much better. Fine grained sub packages as debian does may be nice, bit not that necessary in my opinion.
Comment 3 Matt Domsch 2009-04-15 16:47:53 EDT
I spoke with Mats Wichman at the Linux Foundation Collaboration Summit last week, and he agrees that there should be finer-grained packages than what is present today.
Comment 4 Enrico Scholz 2009-06-18 18:31:44 EDT
*** Bug 506828 has been marked as a duplicate of this bug. ***
Comment 5 Raghavendra Biligiri 2010-06-23 04:14:56 EDT
Verified that RHEL6-Snapshot6 has redhat-lsb and redhat-lsb-graphics packages.
Comment 6 Ohad Levy 2011-08-08 07:08:07 EDT
Just FYI, the full package list is shown here:


===================================================================================================================================
 Package                            Arch             Version                         Repository                               Size
===================================================================================================================================
Installing:
 redhat-lsb                         x86_64           4.0-3.el6                       rhel-x86_64-server-6                     24 k
Installing for dependencies:
 cdparanoia-libs                    x86_64           10.2-5.1.el6                    rhel-x86_64-server-6                     47 k
 cups                               x86_64           1:1.4.2-39.el6                  rhel-x86_64-server-6                    2.3 M
 cvs                                x86_64           1.11.23-11.el6_0.1              rhel-x86_64-server-6                    713 k
 foomatic                           x86_64           4.0.4-1.el6_1.1                 rhel-x86_64-server-6                    251 k
 foomatic-db                        noarch           4.0-7.20091126.el6              rhel-x86_64-server-6                    980 k
 foomatic-db-filesystem             noarch           4.0-7.20091126.el6              rhel-x86_64-server-6                    4.3 k
 foomatic-db-ppds                   noarch           4.0-7.20091126.el6              rhel-x86_64-server-6                     19 M
 gettext                            x86_64           0.17-16.el6                     rhel-x86_64-server-6                    1.8 M
 ghostscript                        x86_64           8.70-11.el6_1.2                 rhel-x86_64-server-6                    4.4 M
 ghostscript-fonts                  noarch           5.50-23.1.el6                   rhel-x86_64-server-6                    750 k
 gstreamer                          x86_64           0.10.29-1.el6                   rhel-x86_64-server-6                    764 k
 gstreamer-plugins-base             x86_64           0.10.29-1.el6                   rhel-x86_64-server-6                    942 k
 gstreamer-tools                    x86_64           0.10.29-1.el6                   rhel-x86_64-server-6                     23 k
 iso-codes                          noarch           3.16-2.el6                      rhel-x86_64-server-6                    2.5 M
 lcms-libs                          x86_64           1.19-1.el6                      rhel-x86_64-server-6                    100 k
 libICE                             x86_64           1.0.6-1.el6                     rhel-x86_64-server-6                     53 k
 libSM                              x86_64           1.1.0-7.1.el6                   rhel-x86_64-server-6                     26 k
 libXfont                           x86_64           1.4.1-1.el6                     rhel-x86_64-server-6                    128 k
 libXt                              x86_64           1.0.7-1.el6                     rhel-x86_64-server-6                    174 k
 libXtst                            x86_64           1.0.99.2-3.el6                  rhel-x86_64-server-6                     22 k
 libXv                              x86_64           1.0.5-1.el6                     rhel-x86_64-server-6                     21 k
 libXxf86vm                         x86_64           1.1.0-1.el6                     rhel-x86_64-server-6                     18 k
 libfontenc                         x86_64           1.0.5-2.el6                     rhel-x86_64-server-6                     24 k
 libgomp                            x86_64           4.4.5-6.el6                     rhel-x86_64-server-6                    112 k
 libmng                             x86_64           1.0.10-4.1.el6                  rhel-x86_64-server-6                    164 k
 libogg                             x86_64           2:1.1.4-2.1.el6                 rhel-x86_64-server-6                     21 k
 liboil                             x86_64           0.3.16-4.1.el6                  rhel-x86_64-server-6                    122 k
 libtalloc                          x86_64           2.0.1-1.1.el6                   rhel-x86_64-server-6                     19 k
 libtheora                          x86_64           1:1.1.0-2.el6                   rhel-x86_64-server-6                    129 k
 libvisual                          x86_64           0.4.0-9.1.el6                   rhel-x86_64-server-6                    135 k
 libvorbis                          x86_64           1:1.2.3-4.el6                   rhel-x86_64-server-6                    170 k
 make                               x86_64           1:3.81-19.el6                   rhel-x86_64-server-6                    389 k
 mesa-dri-drivers                   x86_64           7.10-1.el6                      rhel-x86_64-server-6                    9.4 M
 mesa-libGL                         x86_64           7.10-1.el6                      rhel-x86_64-server-6                    135 k
 mesa-libGLU                        x86_64           7.10-1.el6                      rhel-x86_64-server-6                    176 k
 openjpeg-libs                      x86_64           1.3-7.el6                       rhel-x86_64-server-6                     59 k
 patch                              x86_64           2.6-6.el6                       rhel-x86_64-server-6                     91 k
 pax                                x86_64           3.4-10.1.el6                    rhel-x86_64-server-6                     69 k
 perl-CGI                           x86_64           3.51-119.el6                    rhel-x86_64-server-6                    206 k
 perl-ExtUtils-MakeMaker            x86_64           6.55-119.el6                    rhel-x86_64-server-6                    290 k
 perl-ExtUtils-ParseXS              x86_64           1:2.2003.0-119.el6              rhel-x86_64-server-6                     42 k
 perl-Test-Harness                  x86_64           3.17-119.el6                    rhel-x86_64-server-6                    228 k
 perl-Test-Simple                   x86_64           0.92-119.el6                    rhel-x86_64-server-6                    109 k
 perl-devel                         x86_64           4:5.10.1-119.el6                rhel-x86_64-server-6                    420 k
 phonon-backend-gstreamer           x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6           125 k
 poppler                            x86_64           0.12.4-3.el6_0.1                rhel-x86_64-server-6                    557 k
 poppler-data                       noarch           0.4.0-1.el6                     rhel-x86_64-server-6                    2.2 M
 poppler-utils                      x86_64           0.12.4-3.el6_0.1                rhel-x86_64-server-6                     73 k
 portreserve                        x86_64           0.0.4-4.el6                     rhel-x86_64-server-6                     22 k
 qt                                 x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6           4.0 M
 qt-sqlite                          x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6            50 k
 qt-x11                             x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6            12 M
 qt3                                x86_64           3.3.8b-29.el6                   rhel-x86_64-server-6                    3.5 M
 redhat-lsb-graphics                x86_64           4.0-3.el6                       rhel-x86_64-server-6                     12 k
 redhat-lsb-printing                x86_64           4.0-3.el6                       rhel-x86_64-server-6                     11 k
 urw-fonts                          noarch           2.4-10.el6                      rhel-x86_64-server-6                    3.1 M
 xml-common                         noarch           0.6.3-32.el6                    rhel-x86_64-server-6                    9.4 k
 xorg-x11-font-utils                x86_64           1:7.2-10.el6                    rhel-x86_64-server-6                     72 k
Updating for dependencies:
 cups-libs                          x86_64           1:1.4.2-39.el6                  rhel-x86_64-server-6                    315 k
 perl                               x86_64           4:5.10.1-119.el6                rhel-x86_64-server-6                     10 M
 perl-Module-Pluggable              x86_64           1:3.90-119.el6                  rhel-x86_64-server-6                     37 k
 perl-Pod-Escapes                   x86_64           1:1.04-119.el6                  rhel-x86_64-server-6                     29 k
 perl-Pod-Simple                    x86_64           1:3.13-119.el6                  rhel-x86_64-server-6                    209 k
 perl-libs                          x86_64           4:5.10.1-119.el6                rhel-x86_64-server-6                    577 k
 perl-version                       x86_64           3:0.77-119.el6                  rhel-x86_64-server-6                     48 k

Transaction Summary
===================================================================================================================================
Install      59 Package(s)
Upgrade       7 Package(s)

Total download size: 85 M
Comment 7 Hanno G. Steinke 2011-09-02 07:36:01 EDT
Looks like a never ending story.

It was quite ok with RHEL6 and the package redhat-lsb-4.0-2.1.el6, which had the lsb-graphics and lsb-printing separated.

In the current RHEL6.1 the package redhat-lsb-4.0-3.el6 tries to fix bug BZ#585947
by backpedalling to RHEL5 practices and requiring both redhat-lsb-graphics and redhat-lsb-printing in redhat-lsb. The obvious solution would have been to fix the lsb-release script to report only what is actually there.

The least hassle will be if you add one more package, redhat-lsb-core, to avoid misunderstandings in the future. redhat-lsb may require all three sub-packages and packages that want yust that are satisfied. Packages that only require LSB-core should require just redhat-lsb-core and this bug can be finally closed.

And, lsb-release shold not lie about what is installed.

Just my €,02 ;-)
Comment 8 Stefan Neufeind 2011-12-10 08:53:05 EST
Just stumbled across this problem after an upgrade 6.0 to 6.1 which pulled in redhat-lsb-graphics and redhat-lsb-printing, which imho doesn't really make sense for a minimal server in various cases.

So I'd agree a redhat-lsb-core would be great to have and a lsb_release-skript in there that properly detects if graphics/printing are installed or not.
You might still have redhat-lsb pull in all redhat-lsb-packages (to pull graphics/printing on upgrade). But for a minimal system it should then to only install redhat-lsb-core and remove the meta-package redhat-lsb afterwards. (Packages would then need to depend on redhat-lsb-core only instead of redhat-lsb!)
Comment 9 Stefan Neufeind 2011-12-10 09:17:08 EST
Hmm, as noted in the spec-file for redhat-lsb etc. the LSB 4.0 does not yet allow for modularization. That will have to wait for a newer LSB-release, which is likely to be called LSB 5.0. Unfortunately work on that already seem to be behind schedule for 2011 as outlined in the ProjectPlan. So actually it's not RedHat to blame - they just do their best to be "compliant".

https://wiki.linuxfoundation.org/en/Modularization50
Comment 10 Filip Van Raemdonck 2011-12-22 02:56:31 EST
Hi.
I do not agree that Red Hat is doing their best in this situation. Maybe for external ISV's; but certainly not for their own distribution.

Just try installing RHEL 6.1 tomcat6 package - it is pulling in redhat-lsb and a whole slew of graphical dependencies because of that package. Only to be able to use the LSB initscript functions.

For a piece of software that Red Hat packages and distributes of their own, it is certainly possible to split out the initscript functionality into a package of its own and have redhat-lsb depend on that instead. While server packages can depend on the smaller package.

I would like to remind that LSB was created for ISV's, not for distribution packagers.

And as one of the major Linux distributors, Red Hat can also stress the importance of this in/to the LSB workgroup. In hope that it does get tackled there sooner rather than later.
Comment 11 Jiri Pallich 2012-06-20 09:31:24 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.